# Class MessageStore

java.lang.Object
com.independentsoft.pst.MessageStore

public class MessageStore extends Object
The Class MessageStore.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  Gets the comment.
  `String`
  `getDisplayName()`
  Gets the display name.
  `long`
  `getPasswordCheckSum()`
  Gets the password check sum.
  `byte[]`
  `getRecordKey()`
  Gets the record key.
  `Table`
  `getTable()`
  Gets the underlying table of the message store.
  `void`
  `setComment(String comment)`
  Sets the comment.
  `void`
  `setDisplayName(String displayName)`
  Sets the display name.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getDisplayName

    public String getDisplayName()
    Gets the display name.
    Returns:
      the display name

  - ### setDisplayName

    public void setDisplayName(String displayName) throws IOException
    Sets the display name. For a store opened for editing the change is persisted on the next save().
    Parameters:
      `displayName` - the display name
    Throws:
      `IOException` - if an I/O error occurs

  - ### getComment

    public String getComment()
    Gets the comment.
    Returns:
      the comment

  - ### setComment

    public void setComment(String comment) throws IOException
    Sets the comment. For a store opened for editing the change is persisted on the next save().
    Parameters:
      `comment` - the comment
    Throws:
      `IOException` - if an I/O error occurs

  - ### getRecordKey

    public byte[] getRecordKey()
    Gets the record key.
    Returns:
      the record key

  - ### getPasswordCheckSum

    public long getPasswordCheckSum()
    Gets the password check sum.
    Returns:
      the password check sum

  - ### getTable

    public Table getTable()
    Gets the underlying table of the message store.
    Returns:
      the table